/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    #endregion

    #region Complex Types

    /// <summary>
    /// 3-D scene
    /// </summary>
    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_Scene3D
    {
        public CT_Camera camera;

        public CT_LightRig lightRig;

        public CT_Backdrop backdrop;
    }

    #endregion
}
