/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    #endregion

    #region Complex Types

    /// <summary>
    /// Backdrop plane
    /// </summary>
    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_Backdrop
    {
        public CT_Point3D anchor;

        public CT_Vector3D norm;

        public CT_Vector3D up;
    }

    #endregion
}
