/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    #endregion

    #region Complex Types

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_ShapeProperties
    {
        public CT_Transform2D xfrm;

        public CT_CustomGeometry2D custGeom;

        public CT_PresetGeometry2D prstGeom;

        public CT_NoFillProperties noFill;

        public CT_SolidColorFillProperties solidFill;

        public CT_GradientFillProperties gradFill;

        public CT_BlipFillProperties blipFill;

        public CT_PatternFillProperties pattFill;

        public CT_GroupFillProperties grpFill;

        public CT_LineProperties ln;

        public CT_EffectList effectLst;

        public CT_EffectContainer effectDag;

        public CT_Scene3D scene3d;

        public CT_Shape3D sp3d;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_BlackWhiteMode bwMode;

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool bwModeSpecified;
    }

    #endregion
}
