/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    #endregion

    #region Complex Types

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_ObjectStyleDefaults
    {
        public CT_DefaultShapeDefinition spDef;

        public CT_DefaultShapeDefinition lnDef;

        public CT_DefaultShapeDefinition txDef;
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_DefaultShapeDefinition
    {
        public CT_ShapeProperties spPr;

        public CT_TextBodyProperties bodyPr;

        public CT_TextListStyle lstStyle;

        public CT_ShapeStyle style;
    }

    #endregion
}
