/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Theme_Builder
{
    /// <summary>
    /// Allows the ability to edit a color, used by the Edit3D control
    /// </summary>
    public partial class EditColorForm : Form
    {
        public EditColorForm()
        {
            InitializeComponent();
        }

        public OfficeOpenXMLInterop.CT_SolidColorFillProperties FillProps
        {
            get
            {
                return this.editColor1.SolidFill;
            }
            set
            {
                this.editColor1.SolidFill = value;
            }
        }
    }
}