/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using OfficeOpenXMLInterop;

namespace Theme_Builder
{
    public partial class EditSoftEdge : Form
    {
        public EditSoftEdge()
        {
            InitializeComponent();
        }

        public OfficeOpenXMLInterop.CT_SoftEdgesEffect SoftEdge
        {
            get
            {
                CT_SoftEdgesEffect softEdge = new CT_SoftEdgesEffect();

                softEdge.rad = (long)(float.Parse(this.textBoxRad.Text) * 12700f);

                return softEdge;
            }
            set
            {
                this.textBoxRad.Text = ((float)value.rad / 12700f).ToString();
            }
        }
    }
}